;;;; channel.scm -- irc channels

;;; Created:    <2002-07-12 23:32:22 foof>
;;; Time-stamp: <2002-07-14 09:32:59 foof>
;;; Author:     Alex Shinn <foof@synthcode.com>

(define-module irc.channel
  (use irc.log)
  (use irc.reply)
  (use gauche.net)
  (use gauche.regexp)
  (use gauche.charconv)
  (use srfi-1)
  (use srfi-2)
  (use srfi-13)
  (use srfi-14)
  (export <irc-channel>)
  )
(select-module irc.channel)

;;  The various modes available for channels are as follows:

;;  o - give/take channel operator privileges;
;;  p - private channel flag;
;;  s - secret channel flag;
;;  i - invite-only channel flag;
;;  t - topic settable by channel operator only flag;
;;  n - no messages to channel from clients on the outside;
;;  m - moderated channel;
;;  l - set the user limit to channel;
;;  b - set a ban mask to keep users out;
;;  v - give/take the ability to speak on a moderated channel;
;;  k - set a channel key (password).

(define-class <irc-channel> ()
  ((name       :init-keyword :name  :initform #f)
   (users      :init-keyword :users :initform '())
   (topic      :init-keyword :topic :initform #f)
   (modes      :init-keyword :modes :initform '())
   ))


(provide "irc/channel")

