;;;; log.scm -- irc log

;;; Created:    <2002-07-07 15:22:11 foof>
;;; Time-stamp: <2002-07-10 22:04:06 foof>
;;; Author:     Alex Shinn <foof@synthcode.com>

(define-module irc.log
  (use gauche.logger)
  (export *irc-log* wlog ilog olog)
  )
(select-module irc.log)

;; log to stderr
(define *irc-log* (make <log-drain> :path #t))
(define (wlog . args) (apply log-format *irc-log* args))

;; log all input/output to files
(define *irc-input-log*
  (make <log-drain> :path "/home/foof/lang/gauche/irc/input.log" :prefix ""))
(define (ilog msg) (log-format *irc-input-log* "~A" msg))

(define *irc-output-log*
  (make <log-drain> :path "/home/foof/lang/gauche/irc/output.log" :prefix ""))
(define (olog msg) (log-format *irc-output-log* "~A" msg))

(provide "irc/log")

