;;;; user.scm -- irc user (from server's view)

;;; Created:    <2002-07-07 10:59:39 foof>
;;; Time-stamp: <2002-07-13 14:34:18 foof>
;;; Author:     Alex Shinn <foof@synthcode.com>

(define-module irc.user
  (export <irc-user>)
  )
(select-module irc.user)

(define-class <irc-user> ()
  ((name       :init-keyword :name :initform #f)
   (user       :init-keyword :user :initform #f)
   (hostname   :init-keyword :hostname :initform #f)
   (pass       :init-keyword :pass :initform #f)
   (modes      :init-keyword :mode :initform #f)
   (oper       :init-keyword :oper :initform #f)
   (socket     :init-keyword :socket :initform #f)
   (output     :init-keyword :output :initform #f)
   (channels   :init-keyword :channels :initform '())
   (status     :init-keyword :status :initform #f)
   (prompt     :init-keyword :prompt :initform "> ")
   (charset    :init-keyword :charset :initform "EUC_JP")
   (lang       :init-keyword :lang :initform "en")
   (ircmode    :init-keyword :ircmode :initform #f)
   (history    :init-keyword :history :initform '())
   (aliases    :init-keyword :aliases :initform '())
   (attributes :init-keyword :attributes :initform (make-hash-table))
   (inbuffer   :init-keyword :inbuffer :initform "")
   (outbuffer  :init-keyword :outbuffer :initform "")
   (mtimer     :init-keyword :mtimer :init-form (sys-time))
   (welcomed   :initform #f)
   ))

;;  The available modes are as follows:

;;  i - marks a users as invisible;
;;  s - marks a user for receipt of server notices;
;;  w - user receives wallops;
;;  o - operator flag.

(provide "irc/user")

